## gfarm 2.7.20+dfsg

=== doc/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = html

DOC =	../LICENSE ../RELNOTES \
	../README.en ../README.ja ../OVERVIEW.en ../OVERVIEW.ja \
	../INSTALL.en ../INSTALL.ja  \
	../INSTALL.RPM.en ../INSTALL.RPM.ja \
	../INSTALL.Debian.en ../INSTALL.Debian.ja \
	../SETUP.en ../SETUP.ja SETUP.private.en SETUP.private.ja \
	Gfarm-FAQ.en Gfarm-FAQ.ja \
	KNOWN_PROBLEMS.en KNOWN_PROBLEMS.ja \
	quota.en \
	failover.ja disaster.ja \
	encfs.en.md encfs.ja.md

include $(top_srcdir)/makes/subdir.mk

install:
	@$(MKDIR_P) $(DESTDIR)$(docdir)
	@for i in -- $(DOC); do \
		case $$i in --) continue;; esac; \
		echo \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)/`basename $${i}`; \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)/`basename $${i}`; \
	done

=== bench/bwlat-syscache/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(LIBS)

PROGRAM = bwlat-syscache
OBJS = bwlat-syscache.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/fsstress/Makefile ===
CFLAGS += -Wall -g -DNO_XFS -I. -D_LARGEFILE64_SOURCE -D_GNU_SOURCE
LDFLAGS += 

SRCS=$(wildcard *.c)
TARGETS=$(patsubst %.c,%,$(SRCS))

all: $(TARGETS)

install:
	ln -f fsstress ../../../bin

clean:
	rm -f $(TARGETS)

=== bench/gfcreate-test/Makefile ===
# $Id $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = gfcreate-test
OBJS = $(PROGRAM).o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/gfperf/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .
gfperfdir = /gfperf

include $(top_srcdir)/makes/var.mk

SUBDIRS = \
	gfperf-lib \
	gfperf-metadata	\
	gfperf-copy \
	gfperf-replica \
	gfperf-tree \
	gfperf-autoreplica \
	gfperf-read \
	gfperf-write \
	gfperf-parallel-read \
	gfperf-parallel-write \
	gfperf-parallel-replica \
	gfperf-parallel-autoreplica \
	gfperf-rb \
	gfperf-wrapper \
	gfperf-web \
	gfstress

include $(top_srcdir)/makes/subdir.mk

DOC = CONFIG-gfperf.en \
      README-gfperf.en \
      SETUP-gfperf.en \
      SUPPORT-gfperf.en \
      USING-gfperf.en \
      CONFIG-gfperf.ja \
      README-gfperf.ja \
      SETUP-gfperf.ja \
      SUPPORT-gfperf.ja \
      USING-gfperf.ja

install:
	@$(MKDIR_P) $(DESTDIR)$(docdir)$(gfperfdir)
	@for i in -- $(DOC); do \
		case $$i in --) continue;; esac; \
		echo \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)$(gfperfdir)/`basename $${i}`; \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)$(gfperfdir)/`basename $${i}`; \
	done

=== bench/thput-fsstripe/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(LIBS)

PROGRAM = thput-fsstripe
OBJS = $(PROGRAM).o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/thput-gfpio/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = thput-gfpio
OBJS = thput-gfpio.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/thput-pvfs/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS) -I/usr/local/include -DPVFS_MOUNT=\"/mnt/pvfs\"
LDLIBS = $(COMMON_LDFLAGS) $(LIBS) -L/usr/local/lib -lpvfs

PROGRAM = thput-pvfs
OBJS = thput-pvfs.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== gftool/addpath/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = addpath.c
OBJS = addpath.o
PROGRAM = addpath
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== gftool/gfchmod/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfchmod
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfcp/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

GFPREP_SRCDIR = $(srcdir)/../gfprep
GFPCONCAT_SRCDIR = $(srcdir)/../gfpconcat

SRCS = gfcp.c $(GFPCONCAT_SRCDIR)/pconcat.c \
	$(GFPREP_SRCDIR)/gfmsg.c $(GFPREP_SRCDIR)/gfurl.c \
	$(GFPREP_SRCDIR)/gfurl_local.c $(GFPREP_SRCDIR)/gfurl_gfarm.c \
	$(GFPREP_SRCDIR)/gfurl_hpss.c $(GFPREP_SRCDIR)/gfarm_cmd.c
OBJS = gfcp.o $(GFPCONCAT_SRCDIR)/pconcat.o \
	$(GFPREP_SRCDIR)/gfmsg.o $(GFPREP_SRCDIR)/gfurl.o \
	$(GFPREP_SRCDIR)/gfurl_local.o $(GFPREP_SRCDIR)/gfurl_gfarm.o \
	$(GFPREP_SRCDIR)/gfurl_hpss.o $(GFPREP_SRCDIR)/gfarm_cmd.o

PROGRAM = gfcp
CFLAGS = $(pthread_includes) $(COMMON_CFLAGS) \
	-I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(GFPREP_SRCDIR) \
	-I$(GFPCONCAT_SRCDIR) -I$(srcdir) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/subdir.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFPCONCAT_SRCDIR)/gfpconcat.h

=== gftool/gfdf/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfdf
SRCS = gfdf.c
OBJS = gfdf.o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	$(openssl_includes)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/hash.h \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/gfs_client.h

=== debian/changelog ===
gfarm (2.7.20+dfsg-1.1ubuntu1) noble; urgency=medium

  * Take patch from Debian bug #1065980

  [ Peter Michael Green [
  * Add include of unistd.h to lib/libgfarm/gfarm/gfp_xdr.c to fix
    implicit declaration error.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 10 Apr 2024 15:43:07 +1200

gfarm (2.7.20+dfsg-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:43:05 +0000

gfarm (2.7.20+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:58:36 +0000

gfarm (2.7.20+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062111

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:35:22 +0000

gfarm (2.7.20+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 25 Mar 2022 18:31:13 +1100

gfarm (2.7.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Install missing files (Thanks, Osamu Tatebe).
  * Updated "watch" file.
  * (Build-)Depends += "pkgconf | pkg-config".
  * -dev package to provide "gfarm.pc".
  * gfmd: added "ruby" to Recommends.
  * No longer build with "--as-needed".
  * Rules-Requires-Root: no.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Mar 2022 14:42:44 +1100

=== debian/control ===
Source: gfarm
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13) ,chrpath ,pkgconf | pkg-config
              ,libssl-dev
              ,libldap2-dev
              ,libpq-dev
        ,docbook-xml
        ,docbook-xsl
        ,xsltproc
Build-Depends-Indep: default-jdk, ant
Standards-Version: 4.6.0
Homepage: https://sourceforge.net/p/gfarm/wiki/Home/
Vcs-Browser: https://salsa.debian.org/debian/gfarm
Vcs-Git: https://salsa.debian.org/debian/gfarm.git
Rules-Requires-Root: no

Package: gfarm-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Gfarm file system documentation
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides documentation for Gfarm.

Package: libgfarm1t64
Provides: ${t64:Provides}
Replaces: libgfarm1
Breaks: libgfarm1 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gfarm file system runtime library
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the shared library required for accessing
 files via Gfarm.

Package: libgfarm-dev
Section: libdevel
Architecture: any
Depends: libgfarm1t64 (= ${binary:Version}), ${misc:Depends}
    ,pkgconf | pkg-config
Conflicts: libgfarm-dev
Description: Gfarm file system development files
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the static library, header files, and man
 pages required for Gfarm development.

Package: gfmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client, postgresql | slapd
    ,ruby
Suggests: gfarm-doc
Description: Gfarm file system metadata server
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm metadata server, which equips a
 host to function as a server node managing file system metadata.

Package: gfsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client
Suggests: gfarm-doc
Description: Gfarm file system daemon
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm file system daemon, which equips a
 host to function as a storage node for the network.

Package: gfarm-client
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gfarm2fs
Suggests: gfarm-doc
Description: Gfarm file system clients
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides client utilities for Gfarm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
            --disable-static

override_dh_auto_build:
	dh_auto_build
	## (re-)build man pages:
	$(MAKE) man

build-indep:
	cd util/gfront/gfront && ant clean && ant
	cd snmptool/gmonitor3 && ant clean && ant

override_dh_auto_install:
	dh_auto_install
	-chrpath --delete debian/tmp/usr/sbin/gfmd

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installdocs:
	dh_installdocs -p gfarm-doc --doc-main-package gfarm-doc
	dh_installdocs

override_dh_installman:
	dh_installman
	dh_installman --package=gfarm-client --language=ja $(shell cat debian/gfarm-client.manpages_ja)
	dh_installman --package=gfmd --language=ja $(shell cat debian/gfmd.manpages_ja)
	dh_installman --package=gfsd --language=ja $(shell cat debian/gfsd.manpages_ja)
	dh_installman --package=libgfarm-dev debian/tmp/usr/share/man/man3/*.3
	dh_installman --package=libgfarm-dev --language=ja debian/tmp/usr/share/man/ja/man3/*.3

override_dh_installinit:
	dh_installinit --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
compression=xz,\
repack,repacksuffix=+dfsg,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/oss-tsukuba/gfarm/releases \
   .*/archive/refs/tags/v?(\d[\d.]+)@ARCHIVE_EXT@$
